nuID2targetID {lumi} | R Documentation

## Mapping nuID into Illumina TargetID

### Description

Mapping nuID into Illumina TargetID or GeneID.

### Usage

    nuID2targetID(nuID, lib.mapping = "lumiHumanIDMapping", ...)

### Arguments

`nuID` | a vector of nuID
`lib.mapping` | an Illumina ID mapping library
`...` | other parameters of `nuID2IlluminaID`

### Details

The function will call `nuID2IlluminaID` when ID mapping library were provided.

### Value

see function `nuID2IlluminaID`

### Author(s)

Pan Du

### References

Du, P., Kibbe, W.A. and Lin, S.M., "nuID: A universal naming schema of oligonucleotides for Illumina, Affymetrix, and other microarrays", Biology Direct 2007, 2:16 (31May2007).

### See Also

`targetID2nuID`, `nuID2IlluminaID`

### Examples

    if (require(lumiHumanIDMapping)) {
        nuID2targetID("B2J6WGhV.RevOJYff4", lib.mapping = "lumiHumanIDMapping")
    }

[Package lumi version 1.10.2 Index]